Re: Lua patchset merged

2015-03-01 Thread Baptiste
how do you pass arguments to a lua function? Imagine I want to call the following lua function: function download (host, file) Baptiste

[PATCH 1/4] MINOR: lua: typo in an error message

2015-03-01 Thread Cyril Bonté
A small typo was introduced in an error message, occuring when too many arguments are provided (Malformed argument mask). --- src/hlua.c | 2 +- 1 file changed, 1 insertion(+), 1 deletion(-) diff --git a/src/hlua.c b/src/hlua.c index a0e4d91..9ded473 100644 --- a/src/hlua.c +++ b/src/hlua.c @@

[PATCH 2/4] MINOR: report the Lua version in -vv

2015-03-01 Thread Cyril Bonté
As of the other libraries used by haproxy, it can be useful to display the Lua version used at compilation time. A new line is added to haproxy -vv, which shows if Lua is supported by the binary, and with which version it was compiled. --- src/haproxy.c | 6 ++ 1 file changed, 6 insertions(+)

[PATCH 4/4] BUG/MEDIUM: lua: segfault when calling haproxy sample fetches from lua

2015-03-01 Thread Cyril Bonté
When a Lua script calls an internal haproxy sample fetch, it may segfault in some conditions : - when a fetch has no argument, - when there is no room left to store the special type ARGT_STOP in the argument list (this one shouldn't happen currently as there isn't any sample fetch with enough

[PATCH 3/4] MINOR: lua: add a compilation error message when compiled with an incompatible version

2015-03-01 Thread Cyril Bonté
haproxy Lua support begins with Lua 5.2. In order to ease the diagnostic on compilation error, a preprocessor error is added when an incompatible version is used. The compatibility is determined by the presence of LUA_VERSION_NUM and its magic value (502 for Lua 5.2.x). --- src/hlua.c | 4

Re: Lua patchset merged

2015-03-01 Thread Cyril Bonté
Hi again Thierry, Le 01/03/2015 18:22, Cyril Bonté a écrit : I think I'll try some LUA scripts before the end of the week-end (which is approaching too quickly) ;-) OK, I could play with some Lua scripts. I could declare some custom sample fetches, from which I could call internal fetches

[no subject]

2015-03-01 Thread Thrawn
Hi, all. Is there a way to share configuration between multiple backends? The use case for this is that we would like to configure different response headers for different parts of our application, based on the request URL, but otherwise route traffic the same way. Specifically, we want to

confirmation de désinscription newsletter OUTIROR_base_complete

2015-03-01 Thread Outiror
Bonjour , Nous avons bien pris en compte votre désabonnement de la newsletter OUTIROR_base_complete (outi...@email.outiror.com). Vous ne recevrez plus de messages de cette newsletter. Bien cordialement, L'équ...@email.outiror.com

Re: Public Key for free Open souce install

2015-03-01 Thread Willy Tarreau
Hi, On Sat, Feb 28, 2015 at 11:30:06PM +, vad...@yahoo.com wrote: Hi, Where can I get a Key for free Open source installation, please let me have a link to it.(Of course, replace the tag YOURKEYHERE by the key that has been delivered to you.) First, this mailing list is only about the

Re: Lua patchset merged

2015-03-01 Thread Thierry FOURNIER
Hi everyone, Thanks Willy for the introduction. I join the first part of the document. All the function are not yet available. The doc uses a markdown format like that uses GitHub. I join the original format, and the HTML conversion. The next steps are: - collecting users ideas and bug

Re: Lua patchset merged

2015-03-01 Thread Aleksandar Lazic
Dear Thierry. Cool work ;-) Am 01-03-2015 13:47, schrieb Thierry FOURNIER: Hi everyone, Thanks Willy for the introduction. I join the first part of the document. All the function are not yet available. The doc uses a markdown format like that uses GitHub. I join the original format, and the

Re: Lua patchset merged

2015-03-01 Thread Baptiste
Great news, congratulation Thierry! Baptiste

Re: Lua patchset merged

2015-03-01 Thread Cyril Bonté
Hi Tierry, Huge work ! I've not played with it yet, but I've already compiled it successfully ;-) Some early feedbacks : - It appears that the code requires at least LUA 5.2. - Maybe we'll have to work on the Makefile to ease the compilation. For example, on debian, I have to add -llua5.2

Re: Lua patchset merged

2015-03-01 Thread Baptiste
A few ifdef missing when SSL is not compiled in HAProxy: diff --git a/src/hlua.c b/src/hlua.c index a0e4d91..3d69c5d 100644 --- a/src/hlua.c +++ b/src/hlua.c @@ -1542,6 +1542,7 @@ __LJMP static int hlua_socket_connect(struct lua_State *L) return 0; } +#ifdef USE_OPENSSL __LJMP static